# Namespace: internal

## Classes

- [AdminGetDraftOrdersParams](../classes/internal-8.AdminGetDraftOrdersParams.md)
- [AdminPostDraftOrdersDraftOrderLineItemsItemReq](../classes/internal-8.AdminPostDraftOrdersDraftOrderLineItemsItemReq.md)
- [AdminPostDraftOrdersDraftOrderLineItemsReq](../classes/internal-8.AdminPostDraftOrdersDraftOrderLineItemsReq.md)
- [AdminPostDraftOrdersDraftOrderReq](../classes/internal-8.AdminPostDraftOrdersDraftOrderReq.md)
- [AdminPostDraftOrdersReq](../classes/internal-8.AdminPostDraftOrdersReq.md)
- [Discount](../classes/internal-8.Discount.md)
- [Discount](../classes/internal-8.Discount-1.md)
- [Item](../classes/internal-8.Item.md)
- [ShippingMethod](../classes/internal-8.ShippingMethod.md)

## Type Aliases

### AdminDraftOrdersListRes

Ƭ **AdminDraftOrdersListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `draft_orders`: [`DraftOrder`](../classes/internal.DraftOrder.md)[]  }

#### Defined in

medusa/dist/api/routes/admin/draft-orders/index.d.ts:18

___

### AdminDraftOrdersRes

Ƭ **AdminDraftOrdersRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `draft_order` | [`DraftOrder`](../classes/internal.DraftOrder.md) |

#### Defined in

medusa/dist/api/routes/admin/draft-orders/index.d.ts:14

___

### AdminPostDraftOrdersDraftOrderRegisterPaymentRes

Ƭ **AdminPostDraftOrdersDraftOrderRegisterPaymentRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `order` | [`Order`](../classes/internal.Order.md) |

#### Defined in

medusa/dist/api/routes/admin/draft-orders/index.d.ts:11
